AstBrowser (groovy 3.0.7 API)

Package: groovy.console.ui

## [Groovy] Class AstBrowser

- groovy.console.ui.AstBrowser

-     class AstBrowser
      extends Object

  This object is a GUI for looking at the AST that Groovy generates. Usage: java groovy.console.ui.AstBrowser [filename] where [filename] is an existing Groovy script.

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `GeneratedBytecodeAwareGroovyClassLoader` | `classLoader`
    `Object` | `frame`
    `Object` | `prefs`
    `Action` | `refreshAction`
    `boolean` | `showClosureClasses`
    `boolean` | `showIndyBytecode`
    `boolean` | `showScriptClass`
    `boolean` | `showScriptFreeForm`
    `boolean` | `showTreeView`
    `SwingBuilder` | `swing`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AstBrowser (Object inputArea, Object rootElement, Object classLoader, Object config)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `compile(Object jTree, String script, int compilePhase)`
    `` | `void` | `decompile(Object phaseId, Object source)`
    `` | `void` | `initAuxViews()`
    `` | `void` | `largerFont(EventObject evt)`
    `` | `static void` | `main(Object args)`
    `` | `void` | `run(Closure script)`
    `` | `void` | `run(Closure script, String name)`
    `` | `void` | `showAbout(EventObject evt)`
    `` | `void` | `showClosureClasses(EventObject evt)`
    `` | `void` | `showIndyBytecode(EventObject evt)`
    `` | `void` | `showScriptClass(EventObject evt)`
    `` | `void` | `showScriptFreeForm(EventObject evt)`
    `` | `void` | `showTreeView(EventObject evt)`
    `` | `void` | `smallerFont(EventObject evt)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### GeneratedBytecodeAwareGroovyClassLoader classLoader

    - #### Object frame

    - #### Object prefs

    - #### Action refreshAction

    - #### boolean showClosureClasses

    - #### boolean showIndyBytecode

    - #### boolean showScriptClass

    - #### boolean showScriptFreeForm

    - #### boolean showTreeView

    - #### SwingBuilder swing

  - ### Constructor Detail

    - #### AstBrowser(Object inputArea, Object rootElement, Object classLoader, Object config)

  - ### Method Detail

    - #### void compile(Object jTree, String script, int compilePhase)

    - #### void decompile(Object phaseId, Object source)

    - #### void initAuxViews()

    - #### void largerFont(EventObject evt)

    - #### static void main(Object args)

    - #### void run(Closure script)

    - #### void run(Closure script, String name)

    - #### void showAbout(EventObject evt)

    - #### void showClosureClasses(EventObject evt)

    - #### void showIndyBytecode(EventObject evt)

    - #### void showScriptClass(EventObject evt)

    - #### void showScriptFreeForm(EventObject evt)

    - #### void showTreeView(EventObject evt)

    - #### void smallerFont(EventObject evt)